<?php

class DotPressBlockCounter {
    private $counters = [];

    public function count($block_type) {
        if (!isset($this->counters[$block_type])) {
            $this->counters[$block_type] = 0;
        }

        $this->counters[$block_type] += 1;
    }

    public function get_counter($block_type) {
        if (isset($this->counters[$block_type])) {
            return $this->counters[$block_type];
        }

        return 0;
    }
}