import { useEffect, useState } from 'react';
import { timeout } from 'dot-utils';

export function useTimeout(time: number) {
	const [ready, setReady] = useState(false);

	useEffect(() => {
		timeout(time).then(() => setReady(true));
	}, []);

	return ready;
}
