<?php


class DotPressActivator
{
    public static function activate() {
        self::register_post_type();
    }

    private static function register_post_type() {
        register_post_type('dot_placement', [
            'labels' => [
                'name' => 'DOT Widget Placements',
                'singular_name' => 'DOT Widget Placement'
            ],
            'public' => false,
            'has_archive' => false,
            'show_in_rest' => true,
            'taxonomies' => ['post_tag', 'category']
        ]);
    }
}