<?php

class DotPressBlock
{
    private $plugin_name;
    private $version;
    /**
     * @var DotPressLoader
     * IN PROGRESS FOR 2.0 - DOT BLOCK EDITOR ADDITIONS
     */
    private $loader;

    public function __construct($plugin_name, $version, $loader)
    {
        $this->plugin_name = $plugin_name;
        $this->version = $version;
        $this->loader = $loader;

//        $this->loader->add_action('init', $this, 'enqueue_scripts');
//        $this->loader->add_action('init', $this, 'register_block');
    }

    public function enqueue_scripts()
    {
        wp_register_script(
            $this->plugin_name . '_block',
            DOT_PRESS_ROOT_URL . 'js/dist/dot-press-block.js',
            array('wp-blocks', 'wp-i18n', 'wp-element'),
            $this->version
        );
    }

    public function register_block() {
        register_block_type( 'dot-press/widget', array(
            'editor_script' => $this->plugin_name . '_block'
        ) );
    }
}
