<?php

class DotPressRequestUtils {
    public static function ensureBooleanVar($requestObj, $varName) {
        if (isset($requestObj[$varName]) && !empty($requestObj[$varName] && boolval($requestObj[$varName])) && $requestObj[$varName] !== 'false') {
            return true;
        }

        return false;
    }

    public static function safelyGetStringVar($name) {
        return isset($_REQUEST[$name]) ? sanitize_text_field($_REQUEST[$name]) : '';
    }

    public static function safelyGetIntVar($name) {
        return isset($_REQUEST[$name]) ? intval($_REQUEST[$name]) : null;
    }
}
