export interface WordpressTaxonomy {
	term_id: number | string;
	name: string;
	slug: string;
	term_group: number;
	term_taxonomy_id: number;
	taxonomy: string;
	description: string;
	parent: number;
	count: number;
	filter: string;
}

export interface Category extends WordpressTaxonomy {
	cat_ID: number;
	category_count: number;
	category_description: string;
	cat_name: string;
	category_nicename: string;
	category_parent: number;
}

export interface Tag extends WordpressTaxonomy {}

export interface Post {
	ID: number;
	post_title: string;
	post_status: string;
}

export interface DotPressGlobal {
	pluginUrlPath: string;
	jsUrlPath: string;
}
